%define upstream_name    Padre-Plugin-Kate
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Using the Kate syntax highlighter
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Padre/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Install)
BuildRequires: perl(Padre)
BuildRequires: perl(Syntax::Highlight::Engine::Kate)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
#./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-7.mga6
+ Revision: 1031616
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.60.0-6.mga6
+ Revision: 932990
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-5.mga5
+ Revision: 745349
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-3.mga4
+ Revision: 513974
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 371440
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 37621
- mageia rebuild
- imported package perl-Padre-Plugin-Kate

